\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.3 - 2D Circular Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
CGAL::Exact_circular_kernel_2 Class Reference
Geometric Kernel and Classes

`#include <CGAL/Exact_circular_kernel_2.h>`

## Definition

A typedef to a circular kernel that provides both exact geometric predicates and exact geometric constructions.

This kernel uses some geometric filtering (based on bounding boxes) to gain efficiency.

Is Model Of:
  `CircularKernel`

See Also
  `CGAL::Circular_kernel_2<Kernel,AlgebraicKernelForCircles>`

Examples:
  Circular_kernel_2/functor_has_on_2.cpp, and Circular_kernel_2/intersecting_arcs.cpp.